<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 10/7/2018
 * Time: 2:30 AM
 */
include '../comun/validarSesion.php';
include '../comun/uploadImage.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    $ImageUploader = new uploadImage();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['titulo']) && isset($_REQUEST['descripcion'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $condominioData = $condominio["condominio_id"];
            $queja = R::dispense('queja');
            $queja->titulo = $_REQUEST['titulo'];
            $queja->descripcion = $_REQUEST['descripcion'];
            if (isset($_REQUEST['imagen'])){
                $imagen = $_REQUEST['imagen'];
                $queja->imagen = $ImageUploader->subirImagen($imagen);
            }else{
                $queja->imagen = '';
            }
            $queja->id_condominio=$condominioData;
            $queja->id_autor = $creadoPor;
            $queja->fechaRegistro = date('Y-m-d H:i:s');
            $queja->fechaModificacion = date('Y-m-d H:i:s');
            $queja->estado = 1;
            $id = R::store($queja);
            include '../comun/mensajeCreado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}